Crazy Eddies GUI System: CEGUI::FalagardStaticText Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | Static Protected Attributes
CEGUI::FalagardStaticText Class Reference

StaticText class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardStaticText:
[legend]
Collaboration diagram for CEGUI::FalagardStaticText:
[legend]

List of all members.

## Public Member Functions
| FalagardStaticText (const String &type)
| Constructor.
| ~FalagardStaticText ()
| Destructor.
ColourRect | getTextColours (void) const
| Return a ColourRect object containing the colours used when rendering this widget.
HorizontalTextFormatting | getHorizontalFormatting (void) const
| Return the current horizontal formatting option set for this widget.
VerticalTextFormatting | getVerticalFormatting (void) const
| Return the current vertical formatting option set for this widget.
void | setTextColours (const ColourRect &colours)
| Sets the colours to be applied when rendering the text.
void | setVerticalFormatting (VerticalTextFormatting v_fmt)
| Set the vertical formatting required for the text.
void | setHorizontalFormatting (HorizontalTextFormatting h_fmt)
| Set the horizontal formatting required for the text.
bool | isVerticalScrollbarEnabled (void) const
| Return whether the vertical scroll bar is set to be shown if needed.
bool | isHorizontalScrollbarEnabled (void) const
| Return whether the horizontal scroll bar is set to be shown if needed.
void | setVerticalScrollbarEnabled (bool setting)
| Set whether the vertical scroll bar will be shown if needed.
void | setHorizontalScrollbarEnabled (bool setting)
| Set whether the horizontal scroll bar will be shown if needed.
float | getHorizontalTextExtent () const
| return the current horizontal formatted text extent in pixels.
float | getVerticalTextExtent () const
| return the current vertical formatted text extent in pixels.
void | render (void)
| Populate render cache.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.
static const String | VertScrollbarNameSuffix
| Widget name suffix for the vertical scrollbar component.
static const String | HorzScrollbarNameSuffix
| Widget name suffix for the horizontal scrollbar component.
## Protected Types
typedef std::vector < Event::Connection > | ConnectionList
## Protected Member Functions
void | updateFormatting () const
| update string formatting (gets area size to use from looknfeel)
void | updateFormatting (const Size &sz) const
| update string formatting using given area size.
void | onLookNFeelAssigned ()
| Handler called when a Look'N'Feel is assigned to our window.
void | onLookNFeelUnassigned ()
| Handler called when a Look'N'Feel is removed/unassigned from our window.
void | renderScrolledText (void)
void | configureScrollbars (void)
Scrollbar * | getVertScrollbar (void) const
Scrollbar * | getHorzScrollbar (void) const
Rect | getTextRenderArea (void) const
Size | getDocumentSize (const Rect &renderArea) const
void | setupStringFormatter () const
bool | onTextChanged (const EventArgs &e)
bool | onSized (const EventArgs &e)
bool | onFontChanged (const EventArgs &e)
bool | onMouseWheel (const EventArgs &e)
bool | handleScrollbarChange (const EventArgs &e)
## Protected Attributes
HorizontalTextFormatting | d_horzFormatting
| Horizontal formatting to be applied to the text.
VerticalTextFormatting | d_vertFormatting
| Vertical formatting to be applied to the text.
ColourRect | d_textCols
| Colours used when rendering the text.
bool | d_enableVertScrollbar
| true if vertical scroll bar is enabled.
bool | d_enableHorzScrollbar
| true if horizontal scroll bar is enabled.
FormattedRenderedString * | d_formattedRenderedString
| Class that renders RenderedString with some formatting.
ConnectionList | d_connections
bool | d_formatValid
| true when string formatting is up to date.
## Static Protected Attributes
static FalagardStaticTextProperties::TextColours | d_textColoursProperty
static FalagardStaticTextProperties::VertFormatting | d_vertFormattingProperty
static FalagardStaticTextProperties::HorzFormatting | d_horzFormattingProperty
static FalagardStaticTextProperties::VertScrollbar | d_vertScrollbarProperty
static FalagardStaticTextProperties::HorzScrollbar | d_horzScrollbarProperty
static FalagardStaticTextProperties::HorzExtent | d_horzExtentProperty
static FalagardStaticTextProperties::VertExtent | d_vertExtentProperty

## Detailed Description

StaticText class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled - basic rendering for enabled state.
- Disabled - basic rendering for disabled state.
- EnabledFrame - frame rendering for enabled state
- DisabledFrame - frame rendering for disabled state.
- WithFrameEnabledBackground - backdrop rendering for enabled state with frame enabled.
- WithFrameDisabledBackground - backdrop rendering for disabled state with frame enabled.
- NoFrameEnabledBackground - backdrop rendering for enabled state with frame disabled.
- NoFrameDisabledBackground - backdrop rendering for disabled state with frame disabled.

Named Areas (missing areas will default to 'WithFrameTextRenderArea'): WithFrameTextRenderArea WithFrameTextRenderAreaHScroll WithFrameTextRenderAreaVScroll WithFrameTextRenderAreaHVScroll NoFrameTextRenderArea NoFrameTextRenderAreaHScroll NoFrameTextRenderAreaVScroll NoFrameTextRenderAreaHVScroll

## Member Function Documentation

void CEGUI::FalagardStaticText::render | ( | void |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Reimplemented from CEGUI::FalagardStatic.